# Package org.codehaus.groovy.runtime.powerassert

- Class Summary
  Class | Description
  --- | ---
  AssertionRenderer | Creates a string representation of an assertion and its recorded values.
  PowerAssertionError | Indicates that a power assertion has failed.
  SourceText | Provides the source text for an assertion statement and translates coordinates in the original source text to coordinates relative to the assertion's (normalized) source text.
  Value | A value recorded during evaluation of an assertion, along with the column it is associated with in the assertion's normalized source text.
  ValueRecorder | Records values produced during evaluation of an assertion statement's truth expression.

- Exception Summary
  Exception | Description
  --- | ---
  SourceTextNotAvailableException | Indicates that the source text for an assertion statement is not available.